import { ICodeContentType } from '../../types';
/**
 * Analyze the line count of the specified file
 */
export declare const analyzeLineCount: (filePath: string) => number;
export declare const isSingleLineComment: (line?: string) => boolean;
export declare const isBlockComment: (line?: string) => boolean;
export declare const isMixedComment: (line?: string) => boolean;
export declare const isEmptyBlockComment: (line?: string) => boolean;
export declare const isComment: (line?: string) => boolean;
export declare const isToDo: (line?: string) => boolean;
export declare const analyzeLineCountByCategory: (filePath: string, output: ICodeContentType) => ICodeContentType;
