export declare enum NamingCase {
    CamelCase = "CamelCase",
    PascalCase = "PascalCase",
    SnakeCase = "SnakeCase",
    UpperCase = "UpperCase",
    LowerCase = "LowerCase",
    KebabCase = "KebabCase",
    StartCase = "StartCase",
    DotCase = "DotCase",
    PathCase = "PathCase",
    SpaceCase = "SpaceCase",
    NoCase = "NoCase",
    ConstantCase = "ConstantCase",
    SentenceCase = "SentenceCase",
    Unknown = "Unknown"
}
export declare const NamingCases: Record<NamingCase, RegExp>;
export declare const NamingCasesArray: {
    regexp: RegExp;
    type: NamingCase;
}[];
export declare const controlCase: (str: string, caseType: NamingCase) => boolean;
export declare const whatCase: (str: string) => NamingCase;
