export interface IAnalysisOptions {
    directory: string;
    framework?: string;
    extensions?: string[];
    exclude?: string[];
    conventions?: string[];
    checkFileNames?: boolean;
    checkFileContent?: boolean;
}
export interface IViolation {
    filePath: string;
    message: string;
    type: string;
}
export interface Identifier {
    name: string;
    line: number;
}
export interface ICodeContentType {
    Physical: number;
    Source: number;
    Comment: number;
    SingleLineComment: number;
    BlockComment: number;
    Mixed: number;
    EmptyBlockComment: number;
    Empty: number;
    ToDo: number;
}
